<div class="unit-roster">
  <app-content-banner [isDashboard]="false" pageName="Unit Roster" [isTutorialRequired]="true"
    [TutorialPageName]="'unit-roster'"></app-content-banner>
  <mat-card class="sp-unitroaster-main-card  mat-elevation-z0">
    <mat-card-content fxLayout="column">
      <mat-card class="mat-elevation-z0 regular-mat-form-field">
        <div class="unitroster-small-box " fxLayout="column">
          <div class="unitroster-containter">
            <div fxLayout="row">
              <div fxFlex="50" *ngIf="isHP !== true">
                <div fxFlex="30" class="unit-filter-label" fxLayout="column">
                  <label>Agency Name :</label>
                </div>

                <div fxFlex="70" class="unit-filter-field" fxLayout="column">

                  <mat-form-field appearance="outline" class='regular-mat-form-field '>
                    <input matInput aria-label="AgencyID" [matAutocomplete]="auto" [formControl]="searchStringCtrl"
                      placeholder="Select one">
                    <mat-icon matSuffix>search</mat-icon>
                    <mat-autocomplete #auto="matAutocomplete">
                      <mat-option style="height: 30px;font-size:0.9em" *ngFor="let agency of filteredAgencyData | async"
                        [value]='agency.agencyNo + " - "  + agency.name' [value]="agency.agencyID"
                        (onSelectionChange)="refershAgencySites(agency.agencyID)">
                        {{ agency.agencyNo }} - {{ agency.name }}
                      </mat-option>
                    </mat-autocomplete>
                  </mat-form-field>

                  <!--  <mat-form-field appearance="outline">
                    <mat-select [(ngModel)]="agencyId" (ngModelChange)="refershAgencySites()" placeholder="Select">
                      <mat-option *ngFor="let agencyFrom of agencyList" [value]="agencyFrom.agencyID">
                        {{agencyFrom.agencyNo}} - {{agencyFrom.name}}
                      </mat-option>
                    </mat-select>
                  </mat-form-field>-->
                </div>
              </div>
              <div fxFlex="50">
                <div fxFlex="30" class="unit-filter-label" fxLayout="column">
                  <label>Site Name :</label>
                </div>
                <div fxFlex="70" class="unit-filter-field" fxLayout="column">
                  <mat-form-field appearance="outline">
                    <mat-select [(ngModel)]="siteId" (ngModelChange)="refershSitePrimaryServiceContract()"
                      placeholder="Select">
                      <mat-option *ngFor="let agencySite of agencySites" [value]="agencySite.siteID">
                        {{agencySite.agencySite}}-{{agencySite.name}}
                      </mat-option>
                    </mat-select>
                  </mat-form-field>
                </div>
              </div>
              <div fxFlex="50" *ngIf="siteId !== 0  && isHP === true ">
                <div fxFlex="30" class="unit-filter-label" fxLayout="column">
                  <label>Site Addess :</label>
                </div>
                <div fxFlex="70" class="unit-address-label" fxLayout="column">
                  <span> {{siteaddress}}</span>
                </div>
              </div>

            </div>
            <div fxLayout="row">
              <div fxFlex="50">
                <div fxFlex="30" class="unit-filter-label" fxLayout="column">
                  <label>Primary Service Contract :</label>
                </div>
                <div fxFlex="70" class="unit-filter-field" fxLayout="column">
                  <mat-form-field appearance="outline">
                    <mat-select [(ngModel)]="siteAgreementPopulationSelected">
                      <mat-option *ngFor="let serviceContract of primarySvcContractTypes"
                        [value]="serviceContract.siteAgreementPopulationID">
                        {{serviceContract.primaryServiceAgreementPopName}}</mat-option>
                    </mat-select>
                  </mat-form-field>
                </div>

              </div>
              <div fxFlex="50" *ngIf="siteId !== 0  && isHP !== true ">
                  <div fxFlex="30" class="unit-filter-label" fxLayout="column">
                    <label>Site Addess :</label>
                  </div>
                  <div fxFlex="70" class="unit-address-label" fxLayout="column">
                    <span> {{siteaddress}}</span>
                  </div>
                </div>
            </div>
          </div>
        </div>
      </mat-card>
      <mat-card class="mat-elevation-z0">
        <shared-unit-details [readonlymode]="false" [isUnitRoaster]="true"
          [siteagreementPopulationId]=siteAgreementPopulationSelected [siteID]='siteId'></shared-unit-details>
      </mat-card>
    </mat-card-content>
  </mat-card>
</div>